Skip to Content
Synthetic USD

Get swaps

GET/synthetic-usd/swapsPrivate

Get your swaps between BTC and synthetic USD. Paginated, newest first.

Permissions: synthetic-usd:read

Query Parameters

from?string

Start date, unix epoch 0 by default

Formatdate-time
Default"1970-01-01T00:00:00.000Z"
to?string

End date, default to current time

Formatdate-time
Default"2026-11-09T17:08:56.659Z"
limit?integer

Number of entries to return, default to 1000

Range1 <= value <= 1000
Default1000
cursor?string

Cursor for pagination

Formatdate-time

Response Body

OK

application/json
  1. response
data*array<>
nextCursor*|

Cursor to use for fetching the next page of results. Pass this value as the cursor parameter in the next request. Returns null when there are no more results.

import { createHttpClient } from '@ln-markets/sdk/rest/v3'

const client = createHttpClient({
  key: 'your-key',
  secret: 'your-secret',
  passphrase: 'your-passphrase',
})

const result = await client.syntheticUsd.getSwaps({
  from: '1970-01-01T00:00:00.000Z',
  to: '2026-11-09T17:08:56.136Z',
  limit: 500
})
{
  "data": [
    {
      "id": "7bcf37dd-289a-4779-ab02-64ead00c60fd",
      "createdAt": "2024-05-08T02:40:00.000Z",
      "inAsset": "BTC",
      "outAsset": "USD",
      "inAmount": 50000,
      "outAmount": 4.99
    }
  ],
  "nextCursor": "2024-01-15T10:30:00.000Z"
}